PETSc version 3.15.5
Fix/Edit manual page

# DMDASetFieldNames

Sets the name of each component in the vector associated with the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetFieldNames(DM da,const char * const *names)

Logically collective; names must contain a common value

### Input Parameters

| dm | - the DMDA object
| names | - the names of the components, final string must be NULL, must have the same number of entries as the dof used in creating the DMDA

### Notes

It must be called after having called DMSetUp().

Not supported from Fortran, use DMDASetFieldName()

### See Also

DMDAGetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName(), DMDASetFieldName(), DMSetUp()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c

### Examples

src/ts/tutorials/extchemfield.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages